Avisi cloud logo
OpenapiGenerated

Get an environments in an organisation.

GET
/api/v1/orgs/{organisationSlug}/environments/{environmentSlug}

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$
environmentSlug*string
Match^[a-z0-9-_]+$

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
id?integer
Formatint64
identity?string
Formatuuid
name?string
purpose?string|null
type?string
description?string|null
createdAt?string
Formatdate-time
modifiedAt?string
Formatdate-time
deletedAt?|
Formatdate-time
totalClusters?|
Formatint64
totalCpu?|
Formatint64
totalMemory?|
Formatint64
slug?
organisationSlug?
curl -X GET 'https://api.avisi.cloud/api/v1/orgs/string/environments/string'
{  "id": 0,  "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5",  "name": "string",  "purpose": "string",  "type": "string",  "description": "string",  "createdAt": "2019-08-24T14:15:22Z",  "modifiedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "totalClusters": 0,  "totalCpu": 0,  "totalMemory": 0,  "slug": {    "slugValue": "string"  },  "organisationSlug": {    "slugValue": "string"  }}